import Toybox.Activity;
import Toybox.Graphics;
import Toybox.Lang;
import Toybox.WatchUi;
import Toybox.Sensor;
import Toybox.AntPlus;


class RadarTestView extends WatchUi.DataField {

    var lValue as String;
    var mValue as String;
    var fieldWidth = 0;
    var fieldHeight = 0;
    var computedValue = 0.0f;  

    var bikeRadar;
    var rSpeed = "";
    var rThreat = "";
    var batStatus = 0;


    function initialize() {
        DataField.initialize();

        bikeRadar = new AntPlus.BikeRadar(null);

        lValue = "Sp / Thr / Bat";
        mValue = "---";
    }


    function compute(info as Activity.Info) as Void {


        var batObj = bikeRadar.getBatteryStatus(null);
        if ( batObj != null ) {
            batStatus = batObj.batteryStatus; 
            System.println(batStatus);
        } else {
            batStatus = "-";
            System.println("no battObj!");
        }


        var radarInfo = bikeRadar.getRadarInfo();
        if ( radarInfo != null ) {
            rSpeed = radarInfo[0].speed.format("%0d");
            rThreat = radarInfo[0].threat.format("%0d");
            System.println("RadarInfo: ok!");

            mValue = rSpeed + "/" + rThreat + "/" + batStatus;

        }    

    }

    function onUpdate(dc as Dc) as Void {
        fieldWidth = dc.getWidth();
        fieldHeight = dc.getHeight();
        var textCenter = Graphics.TEXT_JUSTIFY_CENTER | Graphics.TEXT_JUSTIFY_CENTER;  //VCENTER
        var backgroundColor = getBackgroundColor();
        dc.setColor(backgroundColor, Graphics.COLOR_TRANSPARENT);
        dc.fillRectangle (0, 0, fieldWidth, fieldHeight);
        // set foreground color
        dc.setColor((backgroundColor == Graphics.COLOR_BLACK) ? Graphics.COLOR_WHITE : Graphics.COLOR_BLACK, Graphics.COLOR_TRANSPARENT);
    
        dc.drawText(fieldWidth / 2, fieldHeight / 2 - 35, Graphics.FONT_SMALL, lValue, textCenter);
        dc.drawText(fieldWidth / 2, fieldHeight / 2 - 10, Graphics.FONT_NUMBER_MEDIUM, mValue, textCenter);

    }

}
